import { EventEmitter, OnInit } from '@angular/core';
import { FileDetails } from '../shared/models/file-details.model';
import { GlobalsService } from '../shared/services/globals.service';
export declare class FileUploadLoaderComponent implements OnInit {
    private configService;
    onFileContentRead: EventEmitter<FileDetails>;
    fileReader: FileReader;
    readFile: File;
    constructor(configService: GlobalsService);
    ngOnInit(): void;
    changeListener($event: any): void;
    hideMessage(): void;
    readThis(inputValue: any): void;
    showDefaultModule(): void;
    showTestModule(): void;
}
